%define upstream_name    Search-Tools
%define upstream_version 0.86

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    High-performance tools for building search applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://cpan.metacpan.org/authors/id/K/KA/KARMAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dump)
BuildRequires: perl(Encode)
BuildRequires: perl(Encoding::FixLatin)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Rose::ObjectX::CAF) >= 0.30.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Search::Query) >= 0.180.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl-devel
%description
This distribution is a set of utilities for building search
applications. Rather than adhering to a particular search application or
framework, the goal of Search::Tools is to provide general-purpose
methods for common search application features. Think of Search::Tools
like a toolbox rather than a hammer.
 
%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README example
%{_mandir}/man3/*
%perl_vendorarch/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.860.0-2.mga3
+ Revision: 372559
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.860.0-1.mga3
+ Revision: 342587
- update to 0.86

* Thu Jan 03 2013 shlomif <shlomif> 0.850.0-1.mga3
+ Revision: 338106
- New version

* Sat Oct 27 2012 shlomif <shlomif> 0.840.0-1.mga3
+ Revision: 310847
- New version 0.84

* Mon Oct 15 2012 jquelin <jquelin> 0.830.0-1.mga3
+ Revision: 306240
- update to 0.83

* Mon Oct 01 2012 jquelin <jquelin> 0.820.0-1.mga3
+ Revision: 301287
- update to 0.82

* Fri Sep 07 2012 kharec <kharec> 0.810.0-1.mga3
+ Revision: 289184
- update to 0.81

* Wed Sep 05 2012 kharec <kharec> 0.800.0-1.mga3
+ Revision: 288427
- update to 0.80

* Wed Aug 29 2012 kharec <kharec> 0.790.0-1.mga3
+ Revision: 285351
- update to 0.79

* Thu May 31 2012 jquelin <jquelin> 0.740.0-1.mga3
+ Revision: 252162
- update to 0.74
- remove bogus buildrequires
- rebuild for perl 5.16

* Fri Feb 24 2012 kharec <kharec> 0.700.0-1.mga2
+ Revision: 213831
- Add a BR on perl(Search::Tools)
- update to 0.70

* Wed Feb 22 2012 kharec <kharec> 0.690.0-1.mga2
+ Revision: 212156
- update to 0.69

* Tue Feb 21 2012 kharec <kharec> 0.680.0-1.mga2
+ Revision: 211712
- update to 0.68

* Tue Dec 06 2011 kharec <kharec> 0.660.0-1.mga2
+ Revision: 177273
- update to 0.66

* Sun Dec 04 2011 dmorgan <dmorgan> 0.650.0-3.mga2
+ Revision: 176602
+ rebuild (emptylog)

* Sun Dec 04 2011 fwang <fwang> 0.650.0-2.mga2
+ Revision: 175827
- it is not a noarch package

* Sat Dec 03 2011 kharec <kharec> 0.650.0-1.mga2
+ Revision: 175528
- hardcode lib path for build purpose
- Fix file list
- Fix file list
- add BR on perl-devel
- imported package perl-Search-Tools

